changes from 1.8 to 1.8.1
-------------------------

* fix a packaging issue in the long description


changes from 1.7 to 1.8
-----------------------

* add modules for the following number formats:
 - NCF (Números de Comprobante Fiscal, Dominican Republic receipt number)
 - Euro banknote serial numbers
 - CAS RN (Chemical Abstracts Service Registry Number)
 - Aadhaar (Indian digital resident personal identity number)
   (thanks Srikanth Lakshmanan)
 - PAN (Permanent Account Number, Indian income tax identifier)
   (thanks Srikanth Lakshmanan)
* add functions for using the Dominican Republic DGII web service to validate
  and search for RNC and NCF numbers
* add/update whitelists for Dominican Republic RNC and Cedula
* support zeep as preferred SOAP library (suds and pysimplesoap are tried
  as fallback)
* rename stdnum.iso9362 to stdnum.bic (iso9362 is deprecated but still
  available for compatibility)
* add tests for web services (not normally run to avoid unnecessary load)
* fixes and improvement to the sample online validation service

Development of the NCF format validation and DGII web service validation
was funded by iterativo | http://iterativo.do


changes from 1.6 to 1.7
-----------------------

* add modules for the following number formats:
  - BN (Canadian Business Number)
  - SIN (Canadian Social Insurance Number)
  - IdNr (Steuerliche Identifikationsnummer, German personal tax number)
    (thanks Mohammed Salman of Holvi)
  - Registrikood (Estonian organisation registration code)
    (thanks Mohammed Salman of Holvi)
  - Veronumero (Finnish individual tax number)
    (thanks Mohammed Salman of Holvi)
  - UPN (English Unique Pupil Number)
* fix a bug in the Czech DIČ check digit calculation
* fix conversion of 9 digit ISBN to ISBN13
* fix a bug in the Damm is_valid() function
* more validation of 13-digit ISBN values
* more validation of ISMN values
* various code and test improvements (100% branch coverage now)
* documentation improvements


changes from 1.5 to 1.6
-----------------------

* add modules for the following number formats:
  - CBU (Clave Bancaria Uniforme, Argentine bank account number)
    (thanks Luciano Rossi)
  - EIC (European Energy Identification Code)
  - NACE (classification for businesses in the European Union)
  - LEI (Legal Entity Identifier)
  - n° TVA (taxe sur la valeur ajoutée, Monacan VAT number)
  - PIB (Poreski Identifikacioni Broj, Serbian tax identification number)
* add online check example that finds valid formats for a given number
* fix support for Ñ in Spanish Referencia Catastral
* updates to U.S. Employer Identification Number (thanks Greg Kuwaye)
* various minor improvements


changes from 1.4 to 1.5
-----------------------

* add modules for the following number formats:
  - ABN (Australian Business Number)
  - ACN (Australian Company Number)
  - TFN (Australian Tax File Number)
  - CCC (Código Cuenta Corriente, Spanish Bank Account Code)
  - CUPS (Código Unificado de Punto de Suministro, Supply Point Unified Code)
  - Spanish IBAN (International Bank Account Number)
  - Referencia Catastral (Spanish real estate property id)
* the IBAN module now support validating the country-specific part
* the Belgian VAT number is now also referenced as businessid
* add a Tox configuration file


changes from 1.3 to 1.4
-----------------------

* add modules for the following number formats:
  - NIF (Numéro d'Immatriculation Fiscale, French tax identification number)
    provided by Dimitri Papadopoulos
  - NIR (French personal identification number) provided by Dimitri
    Papadopoulos
  - SIRET (a French company establishment identification number) provided by
    Yoann Aubineau
  - NHS (United Kingdom National Health Service patient identifier)
  - T.C. Kimlik No. (Turkish personal identification number)
* add an implementation of the Damm algorithm
* ensure data files are properly closed
* documentation improvements
* extend test suite
* a number of minor bug fixes and improvements


changes from 1.2 to 1.3
-----------------------

* fix ISO 6346 check digit calculation (thanks Ronald Paloschi)
* fix problem with check_vies_approx() (thanks Lionel Elie Mamane)
* fix problem with SOAP client when using suds
* include documentation that was previously on the Trac wiki


changes from 1.1 to 1.2
-----------------------

* add modules for the following number formats:
  - Austrian Company Register Numbers
  - CNPJ (Cadastro Nacional da Pessoa Jurídica, Brazillian company identifier)
  - UID (Unternehmens-Identifikationsnummer, Swiss business identifier)
  - VAT, MWST, TVA, IVA, TPV (Mehrwertsteuernummer, the Swiss VAT number)
  - CUSIP number (financial security identification number)
  - Wertpapierkennnummer (German securities identification code)
  - Isikukood (Estonian Personcal ID number)
  - Finnish Association Identifier
  - Y-tunnus (Finnish business identifier)
  - SEDOL number (Stock Exchange Daily Official List number)
  - IMO number (International Maritime Organization number)
  - ISIN (International Securities Identification Number)
  - RFC (Registro Federal de Contribuyentes, Mexican tax number)
  - PESEL (Polish national identification number)
  - REGON (Rejestr Gospodarki Narodowej, Polish register of economic units)
  - ИНН (Идентификационный номер налогоплательщика, Russian tax identifier)
* add an alternate VIES check (check_vies_approx()) that includes a proof
  (certificate) that the check was performed
* fall back to pysimplesoap if suds is unavailable
* test and code quality improvements


changes from 1.0 to 1.1
-----------------------

* add number formats based on the implementation in the vatnumber module:
  - NIPT (Numri i Identifikimit për Personin e Tatueshëm, Albanian VAT number)
  - CUIT (Código Único de Identificación Tributaria, Argentinian tax number)
  - RUT (Rol Único Tributario, Chilean national tax number)
  - NIT (Número De Identificación Tributaria, Colombian identity code)
  - COE (Codice operatore economico, San Marino national tax number)
* add modules for the following number formats:
  - Cedula (Dominican Republic national identification number)
  - RNC (Registro Nacional del Contribuyente, Dominican Republic tax number)
  - Kennitala (Icelandic personal and organisation identity code, provided by
    Tuomas Toivonen)
  - VSK number (Virðisaukaskattsnúmer, Icelandic VAT number, provided by
    Tuomas Toivonen)
  - ISO 9362 (Business identifier codes, provided by Tony Bajan)
  - MVA (Merverdiavgift, Norwegian VAT number, provided by Tuomas Toivonen)
  - Orgnr (Organisasjonsnummer, Norwegian organisation number, provided by
    Tuomas Toivonen)
  - Orgnr (Organisationsnummer, Swedish company number, provided by Tomas
    Thor Jonsson)
* add Croatia to list of EU VAT numbers
* update getcnloc script
* various small fixes and additional tests for existing modules


changes from 0.9 to 1.0
-----------------------

* add modules for the following number formats:
  - Swiss social security number ("Sozialversicherungsnummer")
  - RIC No. (Chinese Resident Identity Card Number)
  - CI (Cédula de identidad, Ecuadorian personal identity code)
  - RUC (Registro Único de Contribuyentes, Ecuadorian company tax number)
  - SEPA Identifier of the Creditor (AT-02)
  - ISO 6346 (International standard for container identification)
  - Codice Fiscale (Italian tax code for individuals)
  - RTN (Routing transport number)
* Add support for 2013 extension of Irish PPS Numbers
* update getisbn script
* update getmybp URLs for Malaysian code lists
* various other minor improvements


changes from 0.8.1 to 0.9
-------------------------

* add modules for the following number formats:
  - Brin number (Dutch number for schools)
  - Postcode (Dutch postal code)
  - ATIN (U.S. Adoption Taxpayer Identification Number)
  - EIN (U.S. Employer Identification Number)
  - ITIN (U.S. Individual Taxpayer Identification Number)
  - PTIN (U.S. Preparer Tax Identification Number)
  - TIN (U.S. Taxpayer Identification Number)
* try to replace Unicode characters with similar-looking ASCII characters
* update getimsi script (thanks eneq123)
* update getiban script
* add proxy support to the stdnum.eu.vat.check_vies() function (thanks
  Cédric Krier)
* support newer United Kingdom VAT numbers


changes from 0.8 to 0.8.1
-------------------------

* include some files that were missing from the source tarball


changes from 0.7 to 0.8
-----------------------

* add modules for the following number formats:
  - NRIC No. (Malaysian National Registration Identity Card Number)
* all modules now provide a validate() function that throws an exception
  that contains more information on the failure reason
* documentation improvements
* remove add_check_digit parameter from GRid's format() function
* improvements to the tests
* re-add Python3 support (now tested with Python 2.7, 3.2 and 3.3)


changes from 0.6 to 0.7
-----------------------

* add modules for the following number formats:
  - Onderwijsnummer (Dutch school number)
  - BTW-nummer (Omzetbelastingnummer, the Dutch VAT number)
  - HETU (Finnish personal identity code) as provided by Jussi Judin (#5)
  - RČ (Rodné číslo, the Czech and Slovak birth numbers)
  - SIREN (a French company identification number)
  - FPA, ΦΠΑ (Foros Prostithemenis Aksias, the Greek VAT number)
  - Ust ID Nr. (Umsatzsteur Identifikationnummer, the German VAT number)
  - BTW, TVA, NWSt (Belgian VAT number)
  - DNI (Documento nacional de identidad, Spanish personal identity codes)
  - NIE (Número de Identificación de Extranjeros, Spanish foreigner number)
  - CIF (Certificado de Identificación Fiscal, Spanish company tax number)
  - NIF (Número de Identificación Fiscal, Spanish VAT number)
  - PVN (Pievienotās vērtības nodokļa, Latvian VAT number)
  - CVR (Momsregistreringsnummer, Danish VAT number)
  - TVA (taxe sur la valeur ajoutée, Luxembourgian VAT number)
  - CNP (Cod Numeric Personal, Romanian Numerical Personal Code)
  - CF (Cod de înregistrare în scopuri de TVA, Romanian VAT number)
  - Partita IVA (Italian VAT number)
  - Αριθμός Εγγραφής Φ.Π.Α. (Cypriot VAT number)
  - UID (Umsatzsteuer-Identifikationsnummer, Austrian VAT number)
  - NIF (Número de identificação fiscal, Portuguese VAT number)
  - IČ DPH (IČ pre daň z pridanej hodnoty, Slovak VAT number)
  - ALV nro (Arvonlisäveronumero, Finnish VAT number)
  - DIČ (Daňové identifikační číslo, Czech VAT number)
  - ANUM (Közösségi adószám, Hungarian VAT number)
  - VAT (Irish VAT number)
  - KMKR (Käibemaksukohuslase, Estonian VAT number)
  - PVM (Pridėtinės vertės mokestis mokėtojo kodas, Lithuanian VAT number)
  - n° TVA (taxe sur la valeur ajoutée, French VAT number)
  - VAT (Maltese VAT number)
  - NIP (Numer Identyfikacji Podatkowej, Polish VAT number)
  - ID za DDV (Davčna številka, Slovenian VAT number)
  - VAT (Moms, Mervärdesskatt, Swedish VAT number)
  - VAT (United Kingdom (and Isle of Man) VAT registration number)
  - EGN (ЕГН, Единен граждански номер, Bulgarian personal identity codes)
  - PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner)
  - VAT (Идентификационен номер по ДДС, Bulgarian VAT number)
  - VAT (European Union VAT number)
  - OIB (Osobni identifikacijski broj, Croatian identification number)
  - PPS No (Personal Public Service Number, Irish personal number)
  - CPR (personnummer, the Danish citizen number)
* additional tests for robustness and use introspection to test all modules
* some code refactoring with the introduction of an internal utility module
* improvements to the docstring documentation
* generate API documentation using Sphinx


changes from 0.5 to 0.6
-----------------------

* fix a problem with handling an ISBN13 with a valid check digit but with an
  unknown bookland prefix
* add an IMSI (International Mobile Subscriber Identity) module
* implement a conversion function from ISBN13 to ISBN10
* implement an ismn.ismn_type() function
* implement an imei.split() function that splits the number into a TAC, serial
  number and checksum or software version
* source code layout changes to better follow PEP8


changes from 0.4 to 0.5
-----------------------

* add modules for the following number formats:
  - EAN (International Article Number)
* refactoring to use the EAN check digit code for ISBN and ISMN checks
* implement a conversion function from ISSN to EAN
* support Python3 with the same codebase
* Python 2.5 compatibility improvement


changes from 0.3 to 0.4
-----------------------

* add modules for the following number formats:
  - CPF (Cadastro de Pessoas Físicas, the Brazillian national identification
    number)
  - IBAN (International Bank Account Number)
  - ISIL (International Standard Identifier for Libraries and Related
    Organizations)
  - SSN (U.S. Social Security Number)
* implement an internal module to store and handle hierarchically organised
  data structures efficiently
* regional-specific numbers are now in ISO 3166 packages (the BSN module
  is now in stdnum.nl.bsn)
* ISBN module functions now have a convert flag to convert to ISBN-13 on
  the fly


changes from 0.2 to 0.3
-----------------------

* add modules for the following number formats:
  - ISMN (International Standard Music Number)
  - ISAN (International Standard Audiovisual Number)
  - IMEI (International Mobile Equipment Identity)
  - MEID (Mobile Equipment Identifier)
  - GRid (Global Release Identifier)
* add modules for handling the following check digit algorithms:
  - the Verhoeff algorithm
  - the Luhn and Luhn mod N algorithms
  - some algorithms described in ISO/IEC 7064: Mod 11, 2, Mod 37, 2,
    Mod 97, 10, Mod 11, 10 and Mod 37, 36
* added more unit tests


changes from 0.1 to 0.2
-----------------------

* rename validate() function to is_valid() for all modules
* handle wrong types passed to is_valid() more gracefully
* add more tests and fix some minor bugs
